/**********************************************
*** GENERAL
**********************************************/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.clearfix::after {
  content: "";
  display: table;
  clear: both;
}

body {
  background: rgb(12, 174, 234);
  background: radial-gradient(
    circle,
    rgba(12, 174, 234, 0.9167017148656338) 74%,
    rgba(121, 214, 233, 1) 100%
  );

  background-size: cover;
  background-position: center;
  font-family: Lato;
  font-weight: 300;
  position: relative;
  height: 100vh;
  color: #555;
}

.wrapper {
  width: 1000px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.3);
  overflow: hidden;
}

.player-0-panel,
.player-1-panel {
  width: 50%;
  float: left;
  height: 600px;
  padding: 100px;
}

/**********************************************
*** PLAYERS
**********************************************/

.player-name {
  font-size: 40px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 300;
  margin-top: 20px;
  margin-bottom: 10px;
  position: relative;
}

.player-score {
  text-align: center;
  font-size: 80px;
  font-weight: 100;
  color: #eb4d4d;
  margin-bottom: 130px;
}

.active {
  background-color: #f7f7f7;
}
.active .player-name {
  font-weight: 600;
}

.active .player-name::after {
  content: "\2022";
  font-size: 47px;
  position: absolute;
  color: #eb4d4d;
  top: -7px;
  right: 10px;
}

.player-current-box {
  background-color: #eb4d4d;
  color: #fff;
  width: 40%;
  margin: 0 auto;
  padding: 12px;
  text-align: center;
}

.player-current-label {
  text-transform: uppercase;
  margin-bottom: 10px;
  font-size: 12px;
  color: #222;
}

.player-current-score {
  font-size: 30px;
}

button {
  position: absolute;
  width: 200px;
  left: 50%;
  transform: translateX(-50%);
  color: #555;
  background: none;
  border: none;
  font-family: Lato;
  font-size: 20px;
  text-transform: uppercase;
  cursor: pointer;
  font-weight: 300;
  transition: background-color 0.3s, color 0.3s;
}

#winning-score-btn {
  left: 700px;
  top: 20px;
  font-size: 12px;
  text-align: left;
}
#winning-score {
  left: 10px;
}
button:hover {
  font-weight: 600;
}
button:hover i {
  margin-right: 20px;
}

button:focus {
  outline: none;
}
button:disabled {
  color: #eb4d4d;
  cursor: not-allowed;
}

i {
  color: #eb4d4d;
  display: inline-block;
  margin-right: 15px;
  font-size: 32px;
  line-height: 1;
  vertical-align: text-top;
  margin-top: -4px;
  transition: margin 0.3s;
}

.btn-new {
  top: 70px;
}
.btn-roll {
  top: 403px;
}
.btn-hold {
  top: 467px;
}

#dice1 {
  position: absolute;
  left: 50%;
  top: 260px;
  transform: translateX(-50%);
  height: 100px;
  box-shadow: 0px 10px 60px rgba(0, 0, 0, 0.1);
}

#dice2 {
  position: absolute;
  left: 50%;
  top: 150px;
  transform: translateX(-50%);
  height: 100px;
  box-shadow: 0px 10px 60px rgba(0, 0, 0, 0.1);
}

.winner {
  background-color: #f7f7f7;
}
.winner .player-name {
  font-weight: 300;
  color: #eb4d4d;
}

.winning-score {
  position: absolute;
  width: 200px;
  left: 50%;
  transform: translate(-50%, 20%);
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 15px;
}

.winning-score-input {
  width: 100px;
  height: 25px;
  font-size: 1.1rem;
  margin: 5px;
  margin-bottom: 20px;
}
